io.etcd.jetcd.api

## Class KeyValue

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.KeyValue

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, KeyValueOrBuilder, Serializable

    public final class KeyValue
    extends com.google.protobuf.GeneratedMessageV3
    implements KeyValueOrBuilder

Protobuf type `mvccpb.KeyValue`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `KeyValue.Builder` Protobuf type `mvccpb.KeyValue`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CREATE_REVISION_FIELD_NUMBER`
`static int` `KEY_FIELD_NUMBER`
`static int` `LEASE_FIELD_NUMBER`
`static int` `MOD_REVISION_FIELD_NUMBER`
`static int` `VALUE_FIELD_NUMBER`
`static int` `VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getCreateRevision()` create_revision is the revision of last creation on this key.
`static KeyValue` `getDefaultInstance()`
`KeyValue` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.ByteString` `getKey()` key is the key in bytes.
`long` `getLease()` lease is the ID of the lease that attached to key.
`long` `getModRevision()` mod_revision is the revision of last modification on this key.
`com.google.protobuf.Parser<KeyValue>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`com.google.protobuf.ByteString` `getValue()` value is the value held by the key, in bytes.
`long` `getVersion()` version is the version of the key.
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static KeyValue.Builder` `newBuilder()`
`static KeyValue.Builder` `newBuilder(KeyValue prototype)`
`KeyValue.Builder` `newBuilderForType()`
`protected KeyValue.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static KeyValue` `parseDelimitedFrom(InputStream input)`
`static KeyValue` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static KeyValue` `parseFrom(byte[] data)`
`static KeyValue` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static KeyValue` `parseFrom(ByteBuffer data)`
`static KeyValue` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static KeyValue` `parseFrom(com.google.protobuf.ByteString data)`
`static KeyValue` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static KeyValue` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static KeyValue` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static KeyValue` `parseFrom(InputStream input)`
`static KeyValue` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<KeyValue>` `parser()`
`KeyValue.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### KEY_FIELD_NUMBER

    public static final int KEY_FIELD_NUMBER

See Also:
  Constant Field Values

#### CREATE_REVISION_FIELD_NUMBER

    public static final int CREATE_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### MOD_REVISION_FIELD_NUMBER

    public static final int MOD_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### VERSION_FIELD_NUMBER

    public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

#### VALUE_FIELD_NUMBER

    public static final int VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### LEASE_FIELD_NUMBER

    public static final int LEASE_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the key in bytes. An empty key is not allowed.

`bytes key = 1;`

Specified by:
  `getKey` in interface `KeyValueOrBuilder`
Returns:
  The key.

#### getCreateRevision

    public long getCreateRevision()

     create_revision is the revision of last creation on this key.

`int64 create_revision = 2;`

Specified by:
  `getCreateRevision` in interface `KeyValueOrBuilder`
Returns:
  The createRevision.

#### getModRevision

    public long getModRevision()

     mod_revision is the revision of last modification on this key.

`int64 mod_revision = 3;`

Specified by:
  `getModRevision` in interface `KeyValueOrBuilder`
Returns:
  The modRevision.

#### getVersion

    public long getVersion()

     version is the version of the key. A deletion resets
     the version to zero and any modification of the key
     increases its version.

`int64 version = 4;`

Specified by:
  `getVersion` in interface `KeyValueOrBuilder`
Returns:
  The version.

#### getValue

    public com.google.protobuf.ByteString getValue()

     value is the value held by the key, in bytes.

`bytes value = 5;`

Specified by:
  `getValue` in interface `KeyValueOrBuilder`
Returns:
  The value.

#### getLease

    public long getLease()

     lease is the ID of the lease that attached to key.
     When the attached lease expires, the key will be deleted.
     If lease is 0, then no lease is attached to the key.

`int64 lease = 6;`

Specified by:
  `getLease` in interface `KeyValueOrBuilder`
Returns:
  The lease.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static KeyValue parseFrom(ByteBuffer data)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(ByteBuffer data,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(com.google.protobuf.ByteString data)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(com.google.protobuf.ByteString data,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(byte[] data)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(byte[] data,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static KeyValue parseFrom(InputStream input)
                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static KeyValue parseFrom(InputStream input,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static KeyValue parseDelimitedFrom(InputStream input)
                                       throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static KeyValue parseDelimitedFrom(InputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static KeyValue parseFrom(com.google.protobuf.CodedInputStream input)
                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static KeyValue parseFrom(com.google.protobuf.CodedInputStream input,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public KeyValue.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static KeyValue.Builder newBuilder()

#### newBuilder

    public static KeyValue.Builder newBuilder(KeyValue prototype)

#### toBuilder

    public KeyValue.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected KeyValue.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static KeyValue getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<KeyValue> parser()

#### getParserForType

    public com.google.protobuf.Parser<KeyValue> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public KeyValue getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`